Managing Driver Versions

Point Grey provides both signed and unsigned drivers with releases of the SDK. Unsigned drivers are updated for each minor release, while signed drivers are updated less frequently. During an SDK installation, signed versions are always installed by default. However, if the SDK version you downloaded is not a major release, there may be more recent, unsigned, driver versions that were downloaded as well. You can upgrade to these versions using any of the following methods:

  • Point Grey's DriverControlGUIutility. This is a graphical utility installed by default in the \bin folder of the SDK installation directory.
  • Point Grey's DriverInstallUtility. This program is installed by default in the \bin folder of the SDK installation directory.
  • Manual installation using the Windows Device Manager

Windows Vista 64-bit does not permit installation of unsigned drivers.

Switching Drivers Using DriverControlGUI

Point Grey's driverControlGUIutility is installed by default in the \bin folder of the SDK installation directory, and is an easy way to switch between different drivers. It is also available from the Start menu. The interface is divided into two panes. The upper pane lists detected cameras and the lower pane lists detected host adapter cards. Note that for FireWire cameras, FirePRO drivers are installed on cards only, while PGRCAM drivers are installed on both cards and cameras. (See Knowledge Base article 229 for more information.) After selecting a device, the area below each pane displays the available drivers for that device. To switch drivers, select a driver, then click Switch.

driverControlGUImay produce unexpected results on some systems. If this utility is not successful, use one of the other two methods described below.

Automatic Driver Upgrade Using DriverInstallUtility

You can use Point Grey's DriverInstallUtilityto install camera drivers outside of the standard SDK setup installation. DriverInstallUtilityis installed by default in the \bin folder of the SDK installation directory. This tool uses the libraries provided in the DriverPackageInstallfunction of the Microsoft Windows Driver Kit. For more information about this function, see http://msdn.microsoft.com/en-us/library/ms793484.aspx.

The following Windows console example uses the DriverInstallUtilityto install the PGRCAM driver:

DriverInstallUtility /i pgrcam.inf 20

Where /ispecifies install, and 20is the sum of 4 (FORCE) and 16 (LEGACY). The FORCE flag forces installation regardless of how well any existing drivers match the camera device. The LEGACY flag allows the driver to be installed regardless of whether it is signed or unsigned.

For more information on usage, run DriverInstallUtilitywith no parameters.

Manual Driver Upgrade Using Windows Device Manager

  1. In Device Manager, right-click the Point Grey device and select Update Driver. For FireWire cameras, if you are upgrading a FirePRO driver, you are upgrading on a host adapter card rather than a camera; no camera appears in Device Manager in this case. Refer to Knowledge Base Article 229. If you are upgrading a PGRCAM driver, right-click on the camera.
  2. On the first screen of the Hardware Update Wizard, click No, not this time when asked to connect to Windows Update. Click Next.
  3. Click Install from a list or specific location. Click Next.
  4. Select Don't search. I will choose the driver to install. Click Next.
  5. Click Have Disk, then browse to the driver folder of the SDK installation directory. For example, C:\Program Files\Point Grey Research\FlyCapture2\driver\selfsigned\Windows XP. Select a driver, then click Open. On the previous window, Click OK.
  6. Select the appropriate camera model or host adapter card. If more than one camera model has the same name, sleect the first model with that name. Click Next.
  7. The installation process proceeds. When asked if you want to install the unsigned driver, click Continue Anyway. Click Finish to complete the installation.


DriverControlGUI

The DriverControlGUI utility allows you to quickly associate your Point Grey camera or your system's IEEE-1394, USB 3.0 or GigE interface card with supported drivers. You can use DriverControlGUI to switch the drivers that are used by a Point Grey camera between standard signed or unsigned Point Grey drivers and third-party drivers from companies such as Cognex, National Instruments and Matrox.

To open DriverControlGUI

Start -> All Programs -> FlyCapture2 SDK -> Utilities -> DriverControl GUI

Or

Start -> All Programs -> Point Grey LadybugSDK -> Utilities -> DriverControl GUI

Or, run DriverControlGUI.exe from the \bin folder of the FlyCapture2 or Ladybug installation directory.

DriverControlGUI uses a tabbed dialog to separate driver installation by interface. Each interface tab consists of a device list in the left pane and driver information and control on the right. When a device is selected in the device list, the current driver information for that device is displayed in the Driver Info pane on the right. If the selected device is supported by DriverControlGUI, any other available drivers are listed in the drop-down boxes in the Driver Selection section. Only those third-party drivers detected on the system are listed as available. Alternatively, you can install a driver by browsing to a .inf file on the system. If the selected device is not supported by the application, then all driver options are greyed out.

To associate a driver with a device:

  1. Select an interface tab corresponding to the type of device (FireWire, USB, GigE).
  2. In the left pane, select the applicable device.
  3. In the right pane, select the driver you wish to install. The driver that is currently installed is listed as "Installed."
  4. Click Install Driver. The switch may take a few moments.
  5. Upon successful installation, a "Success" message appears, and the device list automatically refreshes.

Firewire tab

  • FirePro DMA Mode controls the DMA mode for firewire cards that use the Point Grey FirePro driver. There are options to set all cards to packet-per-buffer mode or to buffer fill mode. For more information, see Knowledge Base Article 254.
  • To downgrade Microsoft drivers from SP2/3 to SP1 on Windows XP 32-bit systems, click Launch fixSP2g Utility. For more information, see Knowledge Base Article 171.

Point Grey cameras that are connected to IEEE-1394b cards using the FirePROdriver are not listed in the device list. To associate these cameras with another driver, switch your 1394b card to the Microsoft 1394 driver.

USB tab

  • PCIe Bus Infodisplays the bus speed of a selected USB 3.0 card. The card must have the Point Grey USB 3.0 driver(pgrxhci.inf) installed.

Point Grey cameras that are connected to USB 3.0 cards using the Point Grey USB 3.0 driver are not listed in the device list. To associate these cameras with another driver, switch your USB 3.0 card to the vendor's driver.

GigE tab

  • Filter Driver Controlallows the ability to install/remove/enable/disable the Point Grey GigE Image Filter Driver on all GigE network interface cards on the system.
  • To configure the IP address of any GigE cameras and interface cards connected to the system, click Launch GigE Configurator. For more information, refer to the online Help included with the GigE Configurator.

Other Configuration

  • PGR DirectShow Filtersallows you to register/unregister the Point Grey DirectShow Source and Decoder filters. For more information, see Knowledge Base Article 310.
  • Interface Enumerationallows you to enable/disable enumeration of selected interfaces by the FlyCapture2 library and GUI.
  • To open the Windows Device Manager, click Launch Device Manager.

Related Knowledge Base Articles
PGR Imaging Products compatibility with third-party software and drivers
Using the FlyStream driver with support for DirectShow


Windows Device Manager

Device Manager provides you with information about how the hardware on your computer is installed and configured, and how the hardware interacts with your computer's programs. With Device Manager, you can update the device drivers for hardware installed on your computer, modify hardware settings, and troubleshoot problems.

You can access Device Manager in several different ways:

  1. Right-click My Computer > Properties > Hardware tab > Device Manager; or
  2. Select Start > Run and enter devmgmt.msc; or
  3. Select Start > Control Panel > System > Hardware > Device Manager.
  4. Click the Open Device Manager button in the Info/Support section of the FlyCap Camera Control dialog.

Once in Device Manager, you can determine the software version used by your camera by double-clicking the device icon or by right-clicking the camera icon and selecting Properties. Select the Driver tab, then click the Driver Details button.

The version listed under Driver Details is more accurate than the version listed under the main Driver tab.


Device Drivers

Device Drivers and Utilities

IEEE-1394 and USB Cameras

The SDK includes the following device drivers for Windows users:

  • PGRCAM driver for easy camera installation.
  • FirePRO driver for low-level control of IEEE-1394b OHCI PCI Host Adapter.
For more information about the difference between the PGRCAM and FirePRO drivers, see Knowledge Base Article 171.
  • PGRUSBCam driver for low-level control of the USB 2.0 bus.
  • PGRXHCI driver for low-level control of the USB 3.0 bus.

For information about compatibility with Windows operating systems and application types, see Knowledge Base Article 258.

GigE Vision Cameras

The Point Grey Image Filter driver is a network service that optimizes image streaming performance with GigE Vision cameras. For more information, see Image Filter Driver.

The Point Grey GigE Configurator can be used to configure the internet protocol (IP) configuration for any GigE interface cards or Point Grey GigE Vision cameras connected to the system. For more information, refer to the online Help file included with the tool.

Managing Camera Drivers

The following utilities can be used to manage camera drivers:

  • Driver Control GUI for changing drivers to associate with a camera or IEEE-1394 host adapter card.
  • Windows Device Manager for referencing installed hardware and updating device drivers.

The Program Files\Point Grey Research\FlyCapture2\driver or Program Files\Point Grey Research\Ladybug\driver directory contains signed and unsigned driver versions. For more information about working with driver versions, see Knowledge Base Article 337.

Point Grey device drivers must be installed in order to use any of the Point Grey programs or example software on Windows systems. No Point Grey-specific drivers are required on Linux.

Related Knowledge Base Articles
Which Point Grey camera driver should I use?
Working with signed and unsigned camera drivers
Using Windows Device Manager to determine PGR software and driver versions
Why does the "Found New Hardware Wizard" appear in Windows XP?
Why do I get a Hardware Installation warning screen?
Windows Device Manager incorrectly lists my PGR camera, or displays an exclamation mark beside the device.


FirePRO Low-Level Driver

The FirePRO driver (pgr1394b.sys) has been developed in an effort to provide the user with enhanced functionality. It is a replacement for the Microsoft low-level 1394 host adapter drivers (ohci1394.sys and 1394bus.sys), and directly interfaces with the SDK library, removing the requirement for the PGRCAM camera driver (pgrcam.sys).

Advantages

  • Provides the ability to read OHCI card registers and get error codes from the OHCI card that are normally hidden.
  • Devices can run at full 1394b speeds (S800). The Microsoft Windows XP Service Pack 2 and Service Pack 3 drivers currently limit speeds to S100, while Windows Vista drivers limit S800 devices to S400 speeds.

Disadvantages

  • The FirePRO driver prevents any other devices from working on the OHCI card other than those provided by PGR, PGR distributors, or customers who use PGR devices as an OEM.
  • It installs only for Point Grey FirePRO, Texas Instruments or LSI OHCI 1394a and 1394b PCI cards.
  • Since this is not a 1394 bus driver, devices that would normally appear in the Device Manager when using the Microsoft drivers, will not appear with the FirePRO driver. However, when PGR software is executed, the cameras appear as expected.

DriverControlGUI allows the user to easily toggle between the FirePRO, PGRCAM, PGR FlyStream and other select third-party drivers.

The FirePROdriver prevents any other devices from working on the OHCI card other than those provided by PGR, PGR distributors, or customers who use PGR devices as an OEM. It installs only for Texas Instruments OHCI 1394b PCI cards.

Related Knowledge Base Articles
Performance of 1394 devices decrease after installing Windows XP SP2.
Cameras connected to 1394 card using pgr1394b.sys not detected.


PGRCAM Camera Driver

The PGRCAM software driver (\driver\signed\pgrcam.sys) is used to control all Point Grey 1394 Imaging Products. One version is digitally signed by Microsoft for easy camera installation. The unsigned driver is often a more recent version that includes more features and bug fixes; not every build of the PGRCAM driver goes through the intensive digital signing process. Visit Microsoft's Driver Signing page for more information.

Installation Instructions

To use the PGRCAM signed driver requires the driver to be manually installed the first time. Upon successful installation, all subsequent installations of Applicable Products will be performed automatically.

  1. Uninstall all cameras from the system by locating the camera in the Windows Device Manager, right-clicking the device, and selecting Uninstall. Unplug the camera(s).
  2. Delete any oem*.inf files from your %SystemRoot%\inf directory.
  3. Reboot your machine.
  4. Plug a PGR camera in. The Found New Hardware Wizard will appear, prompting for driver installation.

The Found New Hardware Wizard will only appear once (for the first camera). All subsequent installations of Applicable Products will be automatically installed with the signed driver.
  5. Follow the steps outlined in Knowledge Base Article 102.
  6. To test that the signed driver is installed, connect a second PGR camera. Windows should detect the camera, and then automatically install the signed driver (verify this in Windows Device Manager).

Related Knowledge Base Articles
Using Windows Device Manager to determine PGR software and driver versions
Why does the "Found New Hardware Wizard" appear in Windows XP?
Why do I get a Hardware Installation warning screen?


PGR USB3 Camera Driver

PGR xHCI USB 3.0 Camera Driver

The PGRXHCI software driver (\driver\signed\PGRXHCI.sys) is used to control all Point Grey USB 3.0 imaging devices. One version is digitally signed by Microsoft for easy camera installation. The unsigned driver is often a more recent version that includes more features and bug fixes; not every build of the driver goes through the intensive digital signing process.

The PGRXHCI driver is compatible with Point Grey USB 2.0 imaging devices; however, when using this driver USB 2.0 cameras will not be detected through a hub. Use the PGRUSBCam driver instead.

  • When the PGRUSBCam driver is used in conjunction with a USB 2.0 port, USB 3.0 devices operate at USB 2.0 speed.

Related Knowledge Base Articles
Using USB 2.0 host adapter cards with USB cameras
Differences between USB cameras and FireWire cameras


PGRUSBCam Camera Driver

The PGRUSBCam software driver (\driver\signed\PGRUSBCam.sys) is used to control all Point Grey USB 2.0 Imaging Products. One version is digitally signed by Microsoft for easy camera installation. The unsigned driver is often a more recent version that includes more features and bug fixes; not every build of the PGRUSBCam driver goes through the intensive digital signing process.

Related Knowledge Base Articles
Using USB 2.0 host adapter cards with USB cameras
Differences between USB cameras and FireWire cameras


Image Filter Driver

The Point Grey Image Filter Driver (PGRGIGE.sys) was developed for use with GigE Vision cameras. This driver operates as a network service between the camera and the Microsoft built-in UDP stack to filter out GigE vision stream protocol (GVSP) packets.

The filter driver is installed and enabled by default as part of the FlyCapture SDK installation process. Use of the filter driver is recommended, as it can reduce CPU load and improve image streaming performance.

Point Grey GigE Vision cameras can operate without the filter driver, by communicating directly with the Microsoft UDP stack. GigE Vision cameras operating on Linux systems can communicate directly with native Ubuntu drivers.

When the Image Filter Driver is in use, keep in mind the following:

  • The Image Filter Driver is installed on all GigE network interface cards on the system. The service must be explicitly disabled on any interface cards where it is not desired.
  • In some cases the filter driver service can cause the Jumbo Frames capability setting to revert to the default configuration. This may cause unexpected results with some cameras, depending on the packet size configuration.
  • The Windows Task Manager does not accurately report network utilization by the host adapter to which the camera is connected. Instead, the Task Manager reports 0% (or close to 0%) utilization.
  • When using network diagnostic tools such as Wireshark, only camera and network control data are available. No image data is available.

To configure or query the status of the Image Filter Driver

You can use any of the following methods to uninstall/reinstall, enable/disable or query the status of the Image Filter Driver:

All network interfaces are temporarily disabled during filter driver installation.
  • The Point Grey GigE Configurator. To open the GigE Configurator, click Start > FlyCapture2 SDK > Utilities > GigEConfigurator. After opening, click the Pt Grey Filter Driver menu item and select the desired option.
  • The InstallPGRFilterDriver.exe command prompt utility, located in the \bin folder of the FlyCapture2 installation directory.

Syntax:

InstallPGRFilterDriver.exe < /i inf-filename | /u > | /e | /d | /q >

Options:

/i
Installs the Image Filter Driver network service

<inf-filename>
Path to pgrgige.inf. This file is installed in the driver\ folder of the FlyCapture2 installation directory. Signed and self-signed versions are available for different operating systems.

/u
Uninstalls the Image Filter Driver network service

/e
Enables the filter driver on all GigE network interface cards on the system.

/d
Disables the filter driver on all GigE network interface cards on the system.

/q
Queries the current state of the filter driver (installed/not installed, enabled/disabled).

  • The networking properties dialog provided by your GigE network interface card software.
  • Manual install/uninstall through the Properties dialog of the network connection in Windows. The exact interface depends on your operating system. For example, in Windows XP, open Network Connections from the Control Panel. Then open the connection for which you want to install the driver. In the 'Properties' dialog, click Install... Under 'Select Network Component Type,' click Service, then click Add... Under 'Select Network Service,' click PointGrey, then click Point Grey Image Filter Driver. click OK.

Related Knowledge Base Articles
Working with signed and unsigned camera drivers


Legal

This section contains:

  • Software End User License Agreement
  • Software Warranty
  • Third Party Software Notices


Software End User License Agreement

READ CAREFULLY: This is a legal agreement between you (an individual or a single entity) (“you”) and Point Grey Research, Inc. (“PGR”). Before installing and using the FlyCapture® Software Development Kit and any updates to it that we may at our discretion provide to you (collectively, the "SDK"), you should read this agreement. If you do not agree with all of the terms of this agreement, do not install or use the SDK. PGR may change this agreement at any time and it is your responsibility to review the most updated version of it on PGR’s website at http://www.ptgrey.com/support/kb/data/PGR-FlyCap-SDK-LA.pdf or http://www.ptgrey.com/support/downloads/documents/eula_LadybugSDK.pdf. By continuing to use the SDK following such changes, you agree to be bound by them.

1. Grant of License: Subject to the terms of this agreement, you are hereby granted a limited, terminable, non-transferable, non-exclusive license and right to use the SDK only in conjunction with: (a) those PGR cameras listed at http://www.ptgrey.com/products/index.asp (as such list may be amended by PGR at any time and from time to time) and owned by you; and (b) the images derived from such cameras.

2. Free and Open Source Components: Notwithstanding anything to the contrary herein, use, copying and distribution of components of the SDK licensed under free and open source license agreements are governed solely by the terms of those license agreements (which are contained in the electronic documentation for the SDK) and not this agreement.

3. Restrictions: Except as (and only if) explicitly permitted by Section 4 below, you will not, and will not permit any third parties to: (a) copy the SDK, other than a reasonable number of backup copies for your own use only, and such backup copies together with the original will be kept in your possession and control; (b) provide or disclose the SDK to any third party; (c) alter, modify, reverse engineer, decompile or disassemble the SDK, or attempt to do any of the foregoing; (d) grant sublicenses, leases, or any other rights in the SDK to any third party; or (e) remove, alter or obscure any proprietary rights notices (including any copyright and trademark notices) on and in the SDK.

4. Additional OEM Rights: If you are an original equipment manufacturer, then in addition to the rights set out in Section 1 above you are hereby granted a limited, terminable, non-transferable, non-exclusive license and right to use the SDK for the sole additional purpose of incorporating the libraries found in the SDK (collectively, the “Libraries”) into new products developed by you, in whole or in part, using the SDK (collectively, the “Derivative Products”) provided that you: (a) ensure that the components of any Derivative Product that derive functionality from any of the Libraries may only be used with PGR products, including the SDK, and images derived from such products; (b) may only redistribute drivers (.inf and .sys), dynamically linked libraries (.dlls and .so), executables (.exe) and documentation (.doc, .txt, .pdf and .chm) and only to the extent necessary to support your Derivative Products. For clarity, headers (.h), source (.c, .cpp,.cs and .vb) and statically linked libraries (.lib and .a) cannot be redistributed; (c) will prohibit any, and ensure that there is no, redistribution of any of the Libraries by any third party, including any end user customers; and (d) will include any PGR and third party proprietary rights legends or notices (including copyright and trademark notices), unaltered and unobscured, on all Derivative Products.

5. Ownership: PGR and third parties are the owners of and retain title to all proprietary and intellectual property rights (including all patent, copyright, trade secret and trademark rights) in and to the SDK. You have no right, title or interest in the SDK, except as specifically set forth herein, and no rights in any trade-marks of PGR. All rights not explicitly granted herein are hereby reserved.

6. Indemnification: You assume the entire risk relating to, and will indemnify, hold harmless and defend PGR from and against any claims, actions, lawsuits, or proceedings, and any losses, liabilities, damages and expenses (including attorney’s fees and expenses) that arise or result from your activities under this agreement, including the distribution or use of the SDK (including the Libraries) and/or the development, distribution or use of any Derivative Product (including any intellectual property infringement claims relating thereto).

7. No Warranties: Your use of the SDK is solely at your own risk. The SDK is provided “as is” and “as available” without warranty or condition of any kind, either express, implied or statutory, including implied warranties of merchantability, fitness for a particular application or purpose, title and non-infringement, and PGR hereby expressly disclaims all such warranties and conditions. Some jurisdictions do not allow the exclusion of implied warranties, so the above exclusion may not apply to you.

8. Limitation of Liability: Notwithstanding any other provision herein, to the maximum extent permitted by applicable law, PGR will not under any circumstances be liable for any direct, indirect, incidental, consequential, punitive or special losses or damages (including damages for bodily injury or death, business interruption, loss or corruption of business information or data, loss of opportunity, loss of privacy, cost of recovery, financial loss, loss of revenue or loss of profits for any reason whatsoever) whether or not PGR has been advised or should have been aware of the possibility of any such losses or damage arising, and in no event will the aggregate and cumulative liability of PGR for any matters arising under this agreement or otherwise exceed $25.

9. Changes and Support: PGR may at its sole discretion elect to provide you with limited support services related to the SDK for such period of time as PGR at its sole discretion elects. PGR may change or cease to provide the SDK and the limited Support at any time and from time to time without notice to you and that PGR is not obligated to provide the SDK or any support. PGR may use any technical information, feedback or ideas you provide to PGR for PGR’s business purposes, including product support and development.

10. Termination: PGR may terminate this agreement immediately on notice to you if you violate any of the terms of this agreement. PGR may also terminate this agreement for convenience provided that 30 days notice is delivered to you. Any notice given by PGR hereunder will be effective when sent by PGR to the email address you provided to PGR when you registered for a download account. On termination, for any reason, your rights hereunder will cease and you must immediately return all copies of the SDK to PGR and on termination for violation or default, you will be liable to PGR for all damages suffered as a result of the violation or default. Sections 6-8, 10 and 12 will survive any termination hereof.

11. Export Laws: This agreement involves products and/or technical data that may be controlled under laws and regulations of the United States and other countries, including the United States Export Administration Regulations, or any other applicable law, regulation, rule, guideline or order (collectively, “Export Laws”). You will comply with all Export Laws to ensure that the SDK is not exported, directly or indirectly, in contravention of the Export Laws. You represent and warrant to PGR that you are not a person barred from receiving the SDK under any Export Laws.

12. General: This agreement is the entire agreement between you and PGR with respect to the subject matter of this agreement. If you are signing on behalf of an entity such as a corporation, you represent and warrant that you have the authority to bind such entity. This agreement and the rights granted hereunder are personal to you and you may not assign this agreement to a third party without the prior written consent of PGR. This agreement is governed exclusively by and will be enforced, construed, and interpreted exclusively in accordance with the laws of British Columbia (“BC”) and the laws of Canada applicable in BC. The courts of the Province of BC will have exclusive jurisdiction over any dispute arising under this agreement. You agree that termination and/or monetary damages may not be a sufficient remedy if you breach this agreement and that PGR will be entitled, without waiving any other rights or remedies, to injunctive or equitable relief as may be deemed proper by a court of competent jurisdiction in the event of a breach. If PGR does not exercise any legal right or remedy in this agreement or otherwise, this will not be taken to be a formal waiver by PGR of its rights, which rights will remain available to PGR. If any provision of this agreement is construed to be illegal or invalid, the illegal or invalid provisions will be deemed stricken and deleted herefrom to the same extent and effect as if never incorporated herein, but all other provisions hereof will continue in full force and effect.


Software Warranty

Point Grey Research warrants to the Original Purchaser, for a period of one (1) year from date of purchase that:

  1. The diskette on which the Software is furnished and the accompanying documentation are not defective;
  2. The Software is properly recorded upon the diskettes enclosed;
  3. The documentation is substantially complete and contains all the information Point Grey Research deems necessary to use the Software;
  4. The Software functions substantially as described in the documentation.

Point Grey Research, Inc.'s entire liability and the Original Purchaser's exclusive remedy shall be the replacement of any diskette or documentation not meeting these warranties. On such an occasion, a copy of the paid receipt accompanied with the faulty diskette or documentation must be returned to Point Grey Research, Inc. or an authorized dealer.

Point Grey Research, Inc. expressly disclaims and excludes all other warranties, express, implied and statutory, including, but without limitation, warranty of merchantability and fitness for a particular application or purpose. In no event shall Point Grey Research, Inc. be liable to the Original Purchaser or any third party for direct, indirect, incidental, consequential, special or accidental damages, including without limitation damages for business interruption, loss of profits, revenue, data or bodily injury or death.


Third Party Software Notices

This page contains Third Party Software Notices and/or Additional Terms and Conditions.

FreeImage

This software uses code from the FreeImage open source image library licensed under the FreeImage Public License, Version 1.0. Source code and the full text of this license can be found in the thirdparty\freeimage\ folder of this software distribution. See http://freeimage.sourceforge.net for more information.

IPP

This software uses Intel® Integrated Performance Primitives, which is governed by the End User License Agreement for the Intel(R) Software Development Products, available at http://www.intel.com/cd/software/products/asmo-na/eng/346084.htm. Point Grey Research, Inc. explicitly prohibits disassembly and reverse engineering of Intel Integrated Performance Primitives components.


Technical Support Resources

Point Grey Research strives to provide the highest level of technical support possible to our customers. Most support resources can be accessed through the Product Support section of our website.

Creating a Customer Login Account

The first step in accessing our technical support resources is to obtain a Customer Login Account. To apply for a Customer Login Account, click here.

Product Downloads

Customers with a Customer Login Account can access the latest software, firmware and documentation for their cameras from our downloads site here. We encourage our customers to keep their software and firmware up-to-date by downloading and installing the latest versions. These versions include the latest bug fixes and feature enhancements.

Related Documents and Manuals

The following documents and manuals are helpful in understanding how to control Point Grey Research products and how to access your camera’s full functionality. Many of these documents are included in the SDK \doc directory or via the Start menu -> FlyCapture2 SDK -> Documentation or Start menu -> Point Grey Ladybug SDK -> Documentation. Other documents are downloadable from http://www.ptgrey.com/support/downloads/.

  • Point Grey Digital Camera Register Reference.
  • The Getting Started Manual or Technical Reference Manual for your camera model.
  • The Point Grey knowledge base, accessible from http://www.ptgrey.com/support/kb/index.asp.